Package Details: mysql-connector-java 8.0.13-2

Git Clone URL: https://aur.archlinux.org/mysql-connector-java.git (read-only)
Package Base: mysql-connector-java
Description: Java library to connect to MySQL
Upstream URL: http://www.mysql.com/downloads/connector/j/
Licenses: GPL,custom
Submitter: dracorp
Maintainer: dracorp
Last Packager: dracorp
Votes: 10
Popularity: 1.160666
First Submitted: 2016-03-12 10:09
Last Updated: 2018-12-07 16:05

Latest Comments

squalou commented on 2018-12-10 15:41

Note that issue is fixed in release 8.0.13-2

squalou commented on 2018-12-04 14:28

Thank you ! I already did the --recv-keys part ... and only after your pst I noticed that the .asc file ... is absolutely not correct : it's a html file telling 'file not found' instead of the pgp signature Probably related to the typo you mention.

I downloaded the .asc directly, put it in local build cache, (fixed PKGBUILD there) and install worked. (for the records I use yay as aur tool)

i.ivanov commented on 2018-12-04 14:02

@squalou, first of all there is an error on row 15 of the PKGBUILD file:

mysql-connector-java-${pkgver}.tar.gz.asc::https://dev.mysql.com/downloads/gpg/?file=mysql-connector-java-${pkgve}.tar.gz`

${pkgve} should be ${pkgver} - one 'r' is missing.

You can clone the repository and edit the file

To import the key you can use something like:

sudo pacman-key --recv-keys A4A9406876FCBD3C456770C88C718D3B5072E1F5

pacman-key --export A4A9406876FCBD3C456770C88C718D3B5072E1F5 > mysql-public.key

gpg --import mysql-public.key

squalou commented on 2018-12-03 20:46

I'm getting this GPG error when trying to update :

mysql-connector-java-8.0.13.tar.gz ... FAILED
==> ERROR: One or more PGP signatures could not be verified!

Tried several --recv-keys (like : gpg --keyserver ha.pool.sks-keyservers.net --recv-keys A4A9406876FCBD3C456770C88C718D3B5072E1F5 ) => no data returned

any idea ?